import socket

def mirror_text(text):
    return text[::-1]

server = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
server.bind(("0.0.0.0", 10000))
server.listen(1)
print("TCP сервер запущен на порту 10000")

while True:
    conn, addr = server.accept()
    print(f"Подключение от {addr}")

    data = conn.recv(1024)
    if not data:
        break

    text = data.decode()
    mirrored = mirror_text(text)
    print(f"Получено: {text} | Отправляем: {mirrored}")
    conn.sendall(mirrored.encode())

    conn.close()

    if text.upper() == 'EXIT':
        print("Сервер завершает работу.")
        break